#include <iostream>

using namespace std;

int main()
{
    int N,K;

    cin>>N>>K;

    int p[N];

    for(int i=0; i<N; i++)
        cin>>p[i];

    if(K==p[N-1])
        cout<<p[0];

    else for(int i=0; i<N; i++)
            if(K==p[i])
                cout<<p[i+1];


    return 0;
}